package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.BucketModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @author dmw
 */
public interface BucketProvider extends SuperProvider {
    default BocloudResult create(BucketModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult remove(BucketModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult remove(String name) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult exists(String name) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult detail(String name) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult detail(Long bucketId) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult list() {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult acl(BucketModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult create(String bucket, boolean share) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult acl(String bucket, boolean share) {
        return new BocloudResult(false, "暂不支持");
    }

    default void destory() {
    }

    ;
}
